#!/bin/ksh
# Script controls the calling for each single script that has to be started
# setting directory for script flags and 
cd `dirname $0`
SCRIPTDIR=`pwd`
FLAGDIR=$SCRIPTDIR/flags
LOGDIR=$SCRIPTDIR/logs
dependend=$1  
basedependend=`basename ${dependend}`
# File for Logging
LOGFILE=${LOGDIR}/LOG_${basedependend}_`date +%d-%m-%y`.TXT

STARTTIME=`date +%d-%m-%y`,`date +%H:%M:%S`
printf "%-45s %-10s\n" ${dependend} >> ${LOGFILE}

if [ -f $FLAGDIR/${basedependend}_inactive ]; then {
	RC=0
} else  {
	${dependend}
	RC=$?
}
fi
	
if [ $RC -gt 0 ]; then
    if [ $RC -eq 1 ]; then
            echo Warning in : ${dependend} >> ${LOGFILE}
    else
            echo Error in : ${dependend}>> ${LOGFILE}
            echo $RC >> ${LOGFILE}
	    if [ ! -f $FLAGDIR/${basedependend}_ignore ] ;  then  
		
		exit $RC ;
	    fi
    fi
fi

ENDTIME=`date +%d-%m-%y`,`date +%H:%M:%S`
echo  ${STARTTIME} " " ${ENDTIME}  >> ${LOGFILE}
touch $FLAGDIR/${basedependend}_FINISHED
 
